Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.opengl
Enum QGLFramebufferObject.Attachment

    java.lang.Object
      java.lang.Enum<QGLFramebufferObject.Attachment>
          com.trolltech.qt.opengl.QGLFramebufferObject.Attachment

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QGLFramebufferObject.Attachment>

Enclosing class:
  QGLFramebufferObject

    public static enum QGLFramebufferObject.Attachment

extends java.lang.Enum<QGLFramebufferObject.Attachment>
implements QtEnumerator

This enum type is used to configure the depth and stencil buffers attached to the framebuffer object when it is created.

See Also:
  `attachment`

Enum Constant Summary
`CombinedDepthStencil` If the `GL_EXT_packed_depth_stencil` extension is present, a combined depth and stencil buffer is attached.
`Depth` A depth buffer is attached to the framebuffer object.
`NoAttachment` No attachment is added to the framebuffer object.

Method Summary
`static QGLFramebufferObject.Attachment` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGLFramebufferObject.Attachment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QGLFramebufferObject.Attachment[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoAttachment

    public static final QGLFramebufferObject.Attachment NoAttachment

  No attachment is added to the framebuffer object. Note that the OpenGL depth and stencil tests won't work when rendering to a framebuffer object without any depth or stencil buffers. This is the default value.

### CombinedDepthStencil

    public static final QGLFramebufferObject.Attachment CombinedDepthStencil

  If the `GL_EXT_packed_depth_stencil` extension is present, a combined depth and stencil buffer is attached. If the extension is not present, only a depth buffer is attached.

### Depth

    public static final QGLFramebufferObject.Attachment Depth

  A depth buffer is attached to the framebuffer object.

Method Detail

### values

    public static final QGLFramebufferObject.Attachment[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QGLFramebufferObject.Attachment c : QGLFramebufferObject.Attachment.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QGLFramebufferObject.Attachment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGLFramebufferObject.Attachment resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD